/*******************************************************************************
 * FoxPawn_DeployablePawnBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxPawn_DeployablePawnBase extends FoxPawn_DeployableBase
    native
    config(Pawn)
    hidecategories(Navigation);

simulated function PostBeginPlay()
{
    super.PostBeginPlay();
    // End:0x31
    if(Role == ROLE_Authority)
    {
        SetTimer(5.0, true, 'OnRecordWeaponUseTime');
    }
    //return;    
}

function OnRecordWeaponUseTime()
{
    local FoxOnlineStatsWriteWeaponUse TurretTimeUse;

    // End:0xA9
    if((!IsInjured() && IsAliveAndWell()) && OwningPlayerPRI != none)
    {
        TurretTimeUse = OwningPlayerPRI.PlayerStatsManager.FindWeaponStatsByClass(InstigatingWeaponClass);
        // End:0xA9
        if(TurretTimeUse != none)
        {
            TurretTimeUse.AddTimeUsed(5.0);
        }
    }
    //return;    
}

defaultproperties
{
    InstigatingWeaponClassName="FoxWeapon_BotTargeter"
    bIsMachine=true
    ChosenEntryAnimIndex=0
    begin object name=UpperBodyMeshComp class=SkeletalMeshComponent
        bIgnoreControllersWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
        RBChannel=ERBCollisionChannel.RBCC_GameplayPhysics
        CollideActors=true
        BlockActors=true
        BlockZeroExtent=true
        BlockRigidBody=true
        RBCollideWithChannels=(Default=true,GameplayPhysics=true,EffectPhysics=true,BlockingVolume=true)
        TickGroup=ETickingGroup.TG_PostAsyncWork
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.UpperBodyMeshComp'
    UpperBodyMesh=UpperBodyMeshComp
    begin object name=HelmetMeshComp class=SkeletalMeshComponent
        bUpdateSkelWhenNotRendered=false
        bIgnoreControllersWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
        RBChannel=ERBCollisionChannel.RBCC_GameplayPhysics
        CollideActors=true
        BlockActors=true
        BlockZeroExtent=true
        BlockRigidBody=true
        RBCollideWithChannels=(Default=true,GameplayPhysics=true,EffectPhysics=true,BlockingVolume=true)
        TickGroup=ETickingGroup.TG_PostAsyncWork
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.HelmetMeshComp'
    HelmetMesh=HelmetMeshComp
    begin object name=TacticalMeshComp class=SkeletalMeshComponent
        bUpdateSkelWhenNotRendered=false
        bIgnoreControllersWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
        RBChannel=ERBCollisionChannel.RBCC_GameplayPhysics
        CollideActors=true
        BlockActors=true
        BlockZeroExtent=true
        BlockRigidBody=true
        RBCollideWithChannels=(Default=true,GameplayPhysics=true,EffectPhysics=true,BlockingVolume=true)
        TickGroup=ETickingGroup.TG_PostAsyncWork
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.TacticalMeshComp'
    Gear_Tactical=TacticalMeshComp
    EnemyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.EnemyHVTMaterialInstance0'
    JamEnemyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.JamEnemyHVTMaterialInstance0'
    FriendlyHVTMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.FriendlyHVTMaterialInstance0'
    NuetralHVTMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.NuetralHVTMaterialInstance0'
    EnemyIRMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.EnemyIRMaterialInstance0'
    FriendlyIRMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.FriendlyIRMaterialInstance0'
    NuetralIRMaterialInstance=MaterialInstanceConstant'Default__FoxPawn_DeployablePawnBase.NuetralIRMaterialInstance0'
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
    TakeDamageCameraShake=CameraShake'Default__FoxPawn_DeployablePawnBase.Shake0'
    InjureCases(0)=(DamageZone=EDamageZone.DZ_Chest,Direction=EInjureDirection.EID_Front,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_A)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_A)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_A)
    InjureCases(1)=(DamageZone=EDamageZone.DZ_RLeg,Direction=EInjureDirection.EID_Front,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_B)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_B)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_B)
    InjureCases(2)=(DamageZone=EDamageZone.DZ_LLeg,Direction=EInjureDirection.EID_Front,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_B)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_B)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_B)
    InjureCases(3)=(DamageZone=EDamageZone.DZ_Chest,Direction=EInjureDirection.EID_Back,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_B)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_B)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_B)
    InjureCases(4)=(DamageZone=EDamageZone.DZ_RLeg,Direction=EInjureDirection.EID_Left,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_C)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_C)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_C)
    InjureCases(5)=(DamageZone=EDamageZone.DZ_LLeg,Direction=EInjureDirection.EID_Left,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_C)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_C)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_C)
    InjureCases(6)=(DamageZone=EDamageZone.DZ_Chest,Direction=EInjureDirection.EID_Right,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_C)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_C)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_C)
    InjureCases(7)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Any,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_D)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_D)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_D)
    InjureCases(8)=(DamageZone=EDamageZone.DZ_RLArm,Direction=EInjureDirection.EID_Any,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_D)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_D)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_D)
    InjureCases(9)=(DamageZone=EDamageZone.DZ_LUArm,Direction=EInjureDirection.EID_Back,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_E)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_E)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_E)
    InjureCases(10)=(DamageZone=EDamageZone.DZ_Stomach,Direction=EInjureDirection.EID_Any,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_F)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_F)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_F)
    InjureCases(11)=(DamageZone=EDamageZone.DZ_Invalid,Direction=EInjureDirection.EID_Any,DamageType=Toxic,FallAnim=(TP_Anim=(AnimName=(Injured_Fall_F)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(Injured_Up_F)),FP_Anim=Injured_Up_A,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=Injured_Idle_F)
    DeathCases(0)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Right,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Death_Gib_C)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.0,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(None)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=None)
    DeathCases(1)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Left,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Death_Gib_F)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.0,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(None)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=None)
    DeathCases(2)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Front,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Death_Gib_E)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.0,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(None)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=None)
    DeathCases(3)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Back,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Death_Gib_D)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.0,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(None)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=None)
    DeathCases(4)=(DamageZone=EDamageZone.DZ_Head,Direction=EInjureDirection.EID_Any,DamageType=None,FallAnim=(TP_Anim=(AnimName=(Death_Gib_A)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.0,AbortBlendOutTime=0.10),UpAnim=(TP_Anim=(AnimName=(None)),FP_Anim=None,WP_Anim=None,HG_Anim=None,RateMultiplier=1.0,BlendInTime=0.250,BlendOutTime=0.250,AbortBlendOutTime=0.10),IdleAnim=None)
    DamageProfiles(0)=(TakeDamageCameraShake=CameraShake'Default__FoxPawn_DeployablePawnBase.Shake1',DamageAmount=40)
    DamageProfiles(1)=(TakeDamageCameraShake=CameraShake'Default__FoxPawn_DeployablePawnBase.Shake2',DamageAmount=150)
    DamageProfiles(2)=(TakeDamageCameraShake=CameraShake'Default__FoxPawn_DeployablePawnBase.Shake3',DamageAmount=1500)
    begin object name=PawnSkeletalMeshComponent class=SkeletalMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.PawnSkeletalMeshComponent'
    Mesh=PawnSkeletalMeshComponent
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPawn_DeployablePawnBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    Components(0)=none
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPawn_DeployablePawnBase.CollisionCylinder'
    Components(1)=CollisionCylinder
    Components(2)=none
    Components(3)=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
    begin object name=PawnSkeletalMeshComponent class=SkeletalMeshComponent
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.PawnSkeletalMeshComponent'
    Components(4)=PawnSkeletalMeshComponent
    Components(5)=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.FPLightEnvironmentObj'
    begin object name=UpperBodyMeshComp class=SkeletalMeshComponent
        bIgnoreControllersWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPawn_DeployablePawnBase.TPLightEnvironment'
        RBChannel=ERBCollisionChannel.RBCC_GameplayPhysics
        CollideActors=true
        BlockActors=true
        BlockZeroExtent=true
        BlockRigidBody=true
        RBCollideWithChannels=(Default=true,GameplayPhysics=true,EffectPhysics=true,BlockingVolume=true)
        TickGroup=ETickingGroup.TG_PostAsyncWork
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPawn_DeployablePawnBase.UpperBodyMeshComp'
    Components(6)=UpperBodyMeshComp
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxPawn_DeployablePawnBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}